package com.zd.common.core.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 功能映射
 * @Author: zhoupan
 * @Date: 2021/10/06/8:37
 * @Description:
 */

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface FunctionMapper {


    String funNum() default "";

    /**
     * 是否带单位
     * @return
     */
    boolean isUnit() default true;

    /**
     * 单位分隔符
     * @return
     */
    String unitSpit() default " ";

    /**
     * 单位 手动指定单位
     * @return
     */
    String unit()  default "";


    
}
